summaryrefslogtreecommitdiffstats
path: root/audio/twolame
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-13 00:22:14 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:22:14 +0200
commit90bb6dcae429df349d3c2adb6203883f991a6d51 (patch)
tree862a37a661977bc8f109628b26e8fed646506829 /audio/twolame
parent6cc3ebf5c3dbc587d8afc8e4513de765237ec13a (diff)
downloadslackbuilds-90bb6dcae429df349d3c2adb6203883f991a6d51.tar.gz
slackbuilds-90bb6dcae429df349d3c2adb6203883f991a6d51.tar.xz
audio/twolame: Updated for version 0.3.12
Diffstat (limited to 'audio/twolame')
-rw-r--r--audio/twolame/twolame.SlackBuild25
-rw-r--r--audio/twolame/twolame.info2
2 files changed, 19 insertions, 8 deletions
diff --git a/audio/twolame/twolame.SlackBuild b/audio/twolame/twolame.SlackBuild
index 4e4a599fee..a270451260 100644
--- a/audio/twolame/twolame.SlackBuild
+++ b/audio/twolame/twolame.SlackBuild
@@ -35,8 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -53,18 +58,22 @@ chmod -R u+w,go+r-w,a-s .
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --disable-static
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
@@ -83,4 +92,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/twolame/twolame.info b/audio/twolame/twolame.info
index b4fef4ef9e..9aeec9de16 100644
--- a/audio/twolame/twolame.info
+++ b/audio/twolame/twolame.info
@@ -2,7 +2,9 @@ PRGNAM="twolame"
VERSION="0.3.12"
HOMEPAGE="http://www.twolame.org/"
DOWNLOAD="http://downloads.sourceforge.net/twolame/twolame-0.3.12.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="d38c3ead5ac49b7425c1a9ef91126a35"
+MD5SUM_x86_64=""
MAINTAINER="ppr:kut"
EMAIL="HMWiesinger@gmx.at"
APPROVED="Michiel"